List Load Balancer clusters

GET/v1/load_balancer_clusters

A GET request to /v1/load_balancer_clusters will list Load Balancer clusters.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

FieldDetails
search_pattern?
string

This pattern is used to return resources containing the parameter value in its name.

location_id?
integer

Min: 1

A unique identifier of a location. A request to list all the location IDs is described in the Location block.

network_type?
string

Value in: "public", "private"

This parameter selects a public or private cluster to return in an output.

per_page?
integer

Default: 20

Range: 1–100

The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.

page?
integer

Default: 1

Min: 1

The number of a page (>= 1) that will be returned. By default, it's 1.

sorting?
string

Value in: "name", "location_id", "updated_at", "created_at"

Default: "name"

This parameter sorts items. By default, it's name.

direction?
string

Value in: "ASC", "DESC"

Default: "ASC"

This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/load_balancer_clusters?network_type=private"
[  {    "id": "J0dN9zbL",    "name": "AMS1565-shared",    "network_type": "private",    "location_id": 1565,    "location_code": "location3234",    "created_at": "2025-12-31T00:00:00Z",    "updated_at": "2025-12-31T00:00:00Z"  }]